%global with_debug 0
%global with_check 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global provider github
%global provider_tld com
%global project containers
%global repo conmon
# https://github.com/containers/conmon
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit0 2dcd736e46ded79a53339462bc251694b150f870
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global git0 https://%{import_path}

# Used for comparing with latest upstream tag
# to decide whether to autobuild (non-rawhide only)
%define built_tag v2.1.10
%define built_tag_strip %(b=%{built_tag}; echo ${b:1})

Name: %{repo}
Version: 2.1.10
Release: %mkrel 2
Summary: OCI container runtime monitor
License: ASL 2.0
Group: System/Configuration
URL: https://github.com/containers/%{name}
Source0: %{url}/archive/%{built_tag}.tar.gz
# Use below line to build a random commit
#Source0: %%{git0}/archive/%%{commit0}/%%{name}-%%{shortcommit0}.tar.gz
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel
BuildRequires: go-md2man
BuildRequires: golang

%description
%{summary}.

%prep
%autosetup -Sgit -n %{name}-%{built_tag_strip}
sed -i 's/install.bin: bin\/conmon/install.bin:/' Makefile
sed -i 's/install.crio: bin\/conmon/install.crio:/' Makefile

%build
%{__make} bin/conmon
%{__make} GOMD2MAN=go-md2man -C docs

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install install.crio

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/crio/%{name}
%{_mandir}/man8/conmon.8.xz


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.1.10-2.mga10
+ Revision: 2221548
- Mageia 10 Mass Rebuild

* Tue Mar 19 2024 joequant <joequant> 2.1.10-1.mga10
+ Revision: 2050602
- update to 2.1.10

* Sat Nov 19 2022 joequant <joequant> 2.1.5-1.mga9
+ Revision: 1909061
- update to 2.1.5

* Mon Oct 03 2022 joequant <joequant> 2.1.4-1.mga9
+ Revision: 1894323
- update to 2.1.4

* Fri Mar 25 2022 umeabot <umeabot> 2.0.29-2.mga9
+ Revision: 1827045
- Mageia 9 Mass Rebuild

* Sun Jul 04 2021 joequant <joequant> 2.0.29-1.mga9
+ Revision: 1734675
- add golang
- update to md2man
- update to 2.0.29

* Fri Aug 07 2020 joequant <joequant> 2.0.20-1.mga8
+ Revision: 1611669
- update 2.0.20

* Sun Apr 05 2020 joequant <joequant> 2.0.15-1.mga8
+ Revision: 1564677
- imported package conmon

